Multifunction DAQ

cancel
Showing results for 
Search instead for 
Did you mean: 

Where is liblvrtdark.so?

Hi Everybody,

I am rather new in working with NI hardware/software under linux. My project consists of using a NI USB-6008 to do some basic ADC read with a C/C++ I have to write.

I am forced to work on the latest stable debian, but my problem seems to be not related to this particular platform.

My problem is the following:
- I downloaded and installed the content of the ndaqmx-base 2.0 distribution.
- I managed to have everything installed on my machine (at least is seems)
- Now I would like to run the "lsdaq" utility as it is said on the readme. This script run daqmxbase-listdevices, but the latter cannot find the lib liblvrtdark.so.8 (this is confirmed by a ldd). I searched again and again but this lib is nowhere: it seems that it is not shipped with the daqmxbase 2.0.

Could someone explain me what is happening? Do I have to use the non "base" distribution?

Thank you very much in advance for any hint.
0 Kudos
Message 1 of 3
(3,362 Views)
Mandawah,

sadly, Debian is no supported distribution for NI software. therefore things can work, but we cannot guarantee that.
but on the other hand, there was once a similar request in the past (with SuSE 9.1, though a supported distribution) where a complete reinstall of the DAQmx Base did the trick. so please check on that.

Norbert B.
NI Germany
Norbert
----------------------------------------------------------------------------------------------------
CEO: What exactly is stopping us from doing this?
Expert: Geometry
Marketing Manager: Just ignore it.
0 Kudos
Message 2 of 3
(3,349 Views)
Hi Norbert,

thank you very much for you reply. In fact because of this problem and other internal decisions, we decided to completely switch towards Mandriva 2006 and a NI PCI6221 card, so using NIDAQMX8.

Everything is now working perfectly.

Thank you again for your help.
0 Kudos
Message 3 of 3
(3,333 Views)